## irda-utils-0.9.18.tar.bz2

=== smcinit/Makefile ===
include ../output.mak

CC = gcc
RM = rm -f

RM_CMD = $(ECMD)$(RM) *.BAK *.bak *.o ,* *~ *.a

INCLUDES  = $(SYS_INCLUDES) -I../include/
LIBRARIES = $(SYS_LIBRARIES)
LIBPATH   = $(SYS_LIBPATH)

#
# System stuff
#
SYS_INCLUDES = -I/usr/include
SYS_LIBRARIES = 
SYS_LIBPATH = -L/usr/lib -L/usr/local/lib 

CFLAGS= -O2 -W -Wall -I.

SMCINIT_OBJS = smcinit.o tosh1800-smcinit.o tosh2450-smcinit.o 

SMCINIT_TARGETS = smcinit tosh1800-smcinit tosh2450-smcinit

all: $(SMCINIT_TARGETS)

smcinit: smcinit.o
	$(prn_cc_o)
	$(ECMD)$(CC) -o $@ $^ $(LIBS) -lpci -lz


tosh1800-smcinit: tosh1800-smcinit.o
	$(prn_cc_o)
	$(ECMD)$(CC) $(XCFLAGS) -o $@ $^ $(LIBS) -lpci -lz


tosh2450-smcinit: tosh2450-smcinit.o
	$(prn_cc_o)
	$(ECMD)$(CC) $(XCFLAGS) -o $@ $^ $(LIBS) -lpci -lz


%o: %c
	$(prn_cc)
	$(ECMD)$(CC) $(CFLAGS) $(INCLUDES) -c $<

install: $(SMCINIT_TARGETS)
	$(prn_install)
	$(ECMD)install smcinit $(ROOT)/usr/sbin
	$(ECMD)install tosh1800-smcinit $(ROOT)/usr/sbin
	$(ECMD)install tosh2450-smcinit $(ROOT)/usr/sbin

clean:
	$(RM_CMD)

distclean:
	$(RM_CMD)
	$(ECMD)$(RM) $(SMCINIT_TARGETS)

=== debian/changelog ===
irda-utils (0.9.18-6) unstable; urgency=low

  * Condition call to debconf on postrm. (Closes: #416782)
  * Added Dutch po-debconf translation. 
    Thanks Bart Cornelis. (Closes: #414764)
  * init.d script: Added LSB section
  * init.d script: Added support for running smcinit prior to irattach
    Thanks Jean-Christophe Jaskula for the patch (Closes: #403378)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 31 Mar 2007 20:22:31 +0200

irda-utils (0.9.18-5) unstable; urgency=low

  * init.d script. Added '-e' to the sysctl in the stop target.
    Thanks Mario 'BitKoenig' Holbe for noticing.
  * debian/postinst. Removed check for udev. Call MAKEDEV always.
    (Closes: #397411)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 11 Nov 2006 20:15:09 +0100

irda-utils (0.9.18-4) unstable; urgency=low

  * debian/postinst. Removed check for /dev/.devfsd, since MAKEDEV
    already does that.
  * smcinit/Makefile: Added -lz and ...
  * debian/control: Added Build-Dep on zlib1g-dev to work around
    libpci-dev making the package FTBFS. This should go away later.
    (Closes: #396781)
  * debian/postinst. Added check for /dev/.udev to avoid calling
    MAKEDEV when udev is running. (Closes: #397411)
  * debian/postinst. Improved module name change handling from 2.4 to
    2.6 kernels. (Closes: #394812)
  * init.d script. Changed last 'echo > /proc' with sysctl.
  * Added '-e' to sysctl calls so that a bad kernel/package
    configuration won't stop the package installation. 
    (Closes: #396716)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed,  1 Nov 2006 19:39:05 +0100

irda-utils (0.9.18-3) unstable; urgency=low

  * init.d script, ignore module loading failure. (Closes: #394127)
  * debian/contro: Added udev as alternative Depends on makedev.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 21 Oct 2006 13:29:39 +0200

irda-utils (0.9.18-2) unstable; urgency=low

  * debian/control: Updated Build-Depends to libglib2.0
    (Closes: #392297)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 11 Oct 2006 10:19:24 +0200

irda-utils (0.9.18-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Removed Recommends: ircp
    Thanks Luk & Luca. (Closes: #376918)
  * debian/irda-utils.init: Lots of cleaning. 
    Thanks Luca Capello for the patches, they were
    really needed. (Closes: #390538)
  * debian/rules. Removed installation of devfs stuff
    (Closes: 374308)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 10 Oct 2006 10:49:20 +0200

irda-utils (0.9.17-1) unstable; urgency=low

  * The "Mañana" release. (That wasn't released)
  * New upstream version. Includes new smcinit command.
  * debian/control: Removed all build-deps on auto*
  * debian/control: Added build-deps on pciutils-dev
  * debian/control: Added Depends on setserial
  * Bumped Standards-Version to 3.7.2.0, no change.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 13 May 2006 05:34:13 +0200

irda-utils (0.9.16-11) unstable; urgency=low

  * The 'Ho ho Ho' release
  * debian/rules. Corrected DEB_BUILD_GNU_TYPE comparison to
    i486-linux-gnu instead of i386-linux. This should make
    findchip to be build and installed. (Closes: #343618)
  * Also use sysctl to stop discovery since irattach alone
    is not enough. Thanks Mikko Rapeli for the patch.
    (Closes: #343941)
  * Added Swedish debconf templates translation.
    Thanks Daniel Nylander. (Closes: #341032)
  * Added option to irattach to allow running it in foreground.
    Thanks Tino Keitel for the patch (Closes: #332604)
    Man page patched on build time until I decide what to do
    with nasty gzipped files.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 24 Dec 2005 18:36:48 +0100

irda-utils (0.9.16-10) unstable; urgency=low

  * debian/preinst: Fixed script to avoid failing when 
    modules.conf contains no entry for irda0. (Closes: #323025)
  * man/irdadump.8.gz: Corrected documentation of '-v' option.
    irdadump/shell/main.c: Added '-v' line to usage output.
    (Closes: #317510, #307621)
  * Added Vietnamese translation for debconf.
    Thanks Clytie Siddall. (Closes: #312040)
  * Updated German translation for debconf.
    Thanks Jens Seidel (Closes: #314032)
  * Added Japanese translation for debconf.
    Thanks Shimono Atsushi. (Closes: #304282)
  * Added Czech translation for debconf.
    Thanks Martin Šín. (Closes: #316996, #317001)
  * Added Danish translation for debconf.
    Thanks Claus Hindsgaul. (Closes: #320806)
  * debian/postinst: Added 'alias irda-dongle-11 ma600' when 
    creating /etc/modutils/irda-utils (Closes: #310280)
  * Bumped Standards-Version to 3.6.2.0, no change.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sun,  9 Oct 2005 11:32:44 +0200

irda-utils (0.9.16-9) unstable; urgency=low

  * New maintainer. (Closes: #297856)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 12 Mar 2005 19:58:06 +0100

irda-utils (0.9.16-8) unstable; urgency=low

  * debian/irda-utils.init:
    - Included another check for kernel 2.6 before loading irtty-sir
      (safety measure for pmac_zilog), since 2.4 does not have this module
      and does not need its predecessor irtty, closes: #259367.
  * several files:
    - Changed several occurrences of shensche@kodeaffe.de to
      shensche@debian.org.

 -- Sebastian Henschel <shensche@debian.org>  Thu, 16 Sep 2004 15:30:07 +0200

irda-utils (0.9.16-7) unstable; urgency=low

  * debian/rules:
    - Removed bashism when copying config.{sub,guess}.
  * debian/control:
    - Added Provides: irda-tools, so that a dist-upgrade from woody to
      sarge works (hopefully), closes: #267278.
    - Bumped automake build-dependency to automake1.8, since an upgrade to
      that version was done for other reasons on the developer's machine and
      automake1.7 was removed.

 -- Sebastian Henschel <shensche@debian.org>  Sun, 22 Aug 2004 13:28:44 +0200

irda-utils (0.9.16-6) unstable; urgency=low

  * debian/control:


=== debian/control ===
Source: irda-utils
Section: utils
Priority: optional
Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
Build-Depends: libglib2.0-dev, debhelper (>= 4.1.16) , pciutils-dev, zlib1g-dev
Standards-Version: 3.7.2.0

Package: irda-utils
Conflicts: irda-common, irda-tools
Replaces: irda-common, irda-tools
Provides: irda-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, makedev | udev , module-init-tools, setserial
Recommends: openobex-apps
Suggests: libgsmme1c102, liblinc1, obexftp
Description: IrDA management and handling utilities
 This package contains userspace utilities to manage and handle infrared
 devices. It includes irattach, findchip, irdadump, irdaping and irpsion5.
 OBEX tools are removed since 0.9.5. If you need to use IrOBEX,
 use openobex-apps package.
 .
  Authors: Dag Brattli <dagb@users.sourceforge.net> and
           Jean Tourrilhes <jean2@users.sourceforge.net>
  Homepage: http://irda.sourceforge.net

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
## agi TODO maybe we should use DPKG_BUILD_ARCH & DPKG_BUILD_ARCH_OS
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS = "-g -O0 -Wall"
else
	CFLAGS = "-g -O2 -Wall"
endif

INSTALLDIR=`pwd`/debian/irda-utils
INSTALLDOCDIR=$(INSTALLDIR)/usr/share/doc/irda-utils

build: build-stamp
build-stamp:
	dh_testdir

	(cd irdadump; $(MAKE))
	(cd irattach;$(MAKE))
	(cd irdaping; $(MAKE))
	(cd irnetd; $(MAKE))
	(cd psion; $(MAKE))
	if [ "$(DEB_BUILD_GNU_TYPE)" = "i486-linux-gnu" ]; then \
		(cd findchip; $(MAKE)); \
		(cd smcinit; $(MAKE)); \
	fi
	## man page fix. TODO move away from .gz manpages in upstream and build them from sgml files
# 	( cd man; mv irdadump.8.gz irdadump.8.gz.old ; cp irdadump.8.gz.old irdadump.8.gz ; gzip -d irdadump.8.gz ; patch -p0 < ../debian/irdadump.8.diff ; gzip -9 irdadump.8)
# 	( cd man; mv irattach.8.gz irattach.8.gz.old ; cp irattach.8.gz.old irattach.8.gz ; gzip -d irattach.8.gz ; patch -p0 < ../debian/irattach.8.diff ; gzip -9 irattach.8)
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp ChangeLog

	# install new config.{sub,guess}
# 	-[ -e irdadump/config.sub ] && mv irdadump/config.sub irdadump/config.sub.old
# 	-[ -e irdadump/config.guess ] && mv irdadump/config.guess irdadump/config.guess.old
# 	cp /usr/share/misc/config.guess irdadump/
# 	cp /usr/share/misc/config.sub irdadump/


	# cover ChangeLog issues
# 	rm -f ChangeLog irdadump/ChangeLog.irdadump irattach/ChangeLog.irdadump

# 	# put back old config.{sub,guess}
# 	-[ -e irdadump/config.sub.old ]   && mv -f irdadump/config.sub.old irdadump/config.sub
# 	-[ -e irdadump/config.guess.old ] && mv -f irdadump/config.guess.old irdadump/config.guess
# 	## restore original manpage
# 	-[ -e man/irdadump.8.gz.old ] && mv man/irdadump.8.gz.old man/irdadump.8.gz

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-(cd irattach; $(MAKE) distclean)
	#-(cd irdadump; $(MAKE) distclean; rm -rf depcomp missing mkinstalldirs install-sh autom4te.cache)
	-(cd irdadump; $(MAKE) distclean)
	-(cd irdaping; $(MAKE) distclean)
	-(cd irnetd; $(MAKE) distclean)
	-(cd psion; $(MAKE) distclean)
	-(cd findchip; $(MAKE) distclean)
	-(cd smcinit; $(MAKE) distclean)

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	install irattach/irattach $(INSTALLDIR)/usr/sbin
## devfs is dead
#	mkdir -p $(INSTALLDIR)/etc/devfs/conf.d
#	cp `pwd`/debian/devfs-conf.d-irda $(INSTALLDIR)/etc/devfs/conf.d/irda
	if [ "$(DEB_BUILD_GNU_TYPE)" = "i486-linux-gnu" ]; then \
		install findchip/findchip $(INSTALLDIR)/usr/sbin; \
		install smcinit/smcinit $(INSTALLDIR)/usr/sbin; \
	fi

	install irdadump/irdadump $(INSTALLDIR)/usr/sbin
	install irdaping/irdaping $(INSTALLDIR)/usr/sbin
	install irnetd/irnetd $(INSTALLDIR)/usr/sbin
	install psion/irpsion5 $(INSTALLDIR)/usr/sbin

	# some ChangeLog and README issues
	mkdir -p $(INSTALLDOCDIR)
	echo "There is no ChangeLog for the whole package. Check the invidual ChangeLogs." > $(INSTALLDOCDIR)/changelog
	gzip -9 $(INSTALLDOCDIR)/changelog
	cp irdadump/ChangeLog $(INSTALLDOCDIR)/ChangeLog.irdadump
	cp irdadump/README $(INSTALLDOCDIR)/README.irdadump
	cp irattach/ChangeLog $(INSTALLDOCDIR)/ChangeLog.irattach

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
	dh_installinit
#	dh_installcron
	dh_installdebconf
	if [ "$(DEB_BUILD_GNU_TYPE)" = "i486-linux-gnu" ]; then \
		dh_installman man/findchip.8.gz; \
	fi
	dh_installman man/irattach.8.gz man/irdadump.8.gz man/irdaping.8.gz man/irpsion5.8.gz man/irnet.4.gz man/irnetd.8.gz man/irda.7.gz man/smcinit.8.gz
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=2
http://prdownloads.sourceforge.net/irda/irda-utils-(.*)\.tar\.gz    debian   uupdate
